#!/bin/bash
# user hints to install dependencies

helped=0
distro=""

grep "Debian" /etc/issue > /dev/null
if [ $? -eq 0 ]; then

	# Debian specific assistance
	helped=1
	distro="Debian"
	echo These commands are case-sensitive
	echo -e "\t$ sudo apt-get install make gcc"
	echo -e "\t$ sudo apt-get install linux-headers-$(uname -r)"
	echo -e "\t$ sudo apt-get install libqt4-gui\n"
fi


grep "Ubuntu" /etc/issue
if [ $? -eq 0 ]; then

	# Ubuntu specific assistance
	helped=2
	distro="Ubuntu"
	echo This command is case-sensitive
	echo -e "\t$ sudo apt-get install libqt4-dev\n"
fi

grep "Fedora" /etc/issue
if [ $? -eq 0 ]; then

	# Fedora specific assistance
	helped=3
	distro="Fedora"
	echo These commands are case-sensitive
	echo -e "\t$ sudo yum install gcc"
	echo -e "\t$ sudo yum install kernel-devel-$(uname -r)"
	echo -e "\t$ sudo yum install qt-x11\n"
	
fi


grep -i "opensuse" /etc/issue
if [ $? -eq 0 ]; then

	# opensuse specific assistance
	helped=4
	distro="openSuSE"
	echo -e "\t$ sudo zypper install gcc"
	echo -e "\t$ sudo zypper install make"
	echo -e "\t$ sudo zypper install kernel-vanilla\n"
	echo -e "\t$ sudo zypper install kernel-vanilla-devel\n"
fi


if [ $helped -eq 0 ]; then
	echo Sorry, no installation hints available for this Linux distribution:
	if [ -r /etc/issue ]; then
		cat /etc/issue	
	fi
	echo
fi
